Fact provenance
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/fact-source \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/fact-source"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/fact-source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provenance": "filed",
"std_value": 130497000000,
"source_tags": [
"us-gaap:Revenues"
],
"filing": {
"accession_number": "0001045810-25-000023",
"filing_type": "10-K",
"filing_date": "2025-02-26",
"fiscal_year": 2025,
"fiscal_quarter": null,
"period_end_date": "2025-01-26"
},
"facts": [
{
"tag_name": "us-gaap:Revenues",
"context_id": "c-1",
"label_as_reported": "Revenue",
"raw_value": 130497000000,
"selected_value": 130497000000,
"value_is_derived": false,
"unit": "USD",
"decimals": -6,
"value_type": "duration",
"start_date": "2024-01-29",
"end_date": "2025-01-26",
"instant_date": null,
"revisions": [
{
"accession_number": "0001045810-25-000023",
"filing_type": "10-K",
"filing_date": "2025-02-26",
"fiscal_year": 2025,
"fiscal_quarter": null,
"context_id": "c-1",
"raw_value": 130497000000
},
{
"accession_number": "0001045810-26-000010",
"filing_type": "10-K",
"filing_date": "2026-02-25",
"fiscal_year": 2026,
"fiscal_quarter": null,
"context_id": "c-4",
"raw_value": 130497000000
}
]
}
]
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Financial Statements
Fact provenance
Provenance for one standardized line: the XBRL fact(s), filing and calculation tree behind a number.
GET
/
api
/
v1
/
companies
/
{id}
/
fact-source
Fact provenance
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Query Parameters
income_statement | balance_sheet | cash_flow.
Standardized line key.
Period end date, YYYY-MM-DD.
annual or quarterly.
Reporting basis.
Response
OK
The response is of type object.
⌘I